#!/bin/sh
  
mkdir  -p  $HOME/.config/rox.sourceforge.net/OpenWith/.inode_directory/
mkdir  -p  $HOME/.config/rox.sourceforge.net/OpenWith/.inode_mount-point/

#opening window using Xdialog
Xdialog  --backtitle "You may install right click menu item"\
 --title "Create M3U list 1.6"  \
 --radiolist "Click 'Cancel' to avoid installing\n a right click menu item" 35 75 0  \
 "English"    " Create music m3u list" ON    \
  "French"  " Créer une liste de musique m3u" off  \
    "German"  " m3u Musikliste erzeugen" off  \
  "Dutch" " Maak muziek m3u lijst" off  \
  "Russian"  " Создать список музыки m3u" off  \
  "Hungarian"  " m3u zenelejátszási lista létrehozása" off  \
 "Italian"  " Crea music m3u list" off  \
"Chinese"  " 制造 音乐 m3u 清单" off  \
"Czech"  " Vytvořit m3u playlist" off  \
     "Spanish"  " Crear lista de musica m3u" off 2>/tmp/create-m3u.tmp.$$
     


retval=$?
choice=`cat /tmp/create-m3u.tmp.$$`
rm -f /tmp/create-m3u.tmp.$$

case $retval in
  0)
    echo "'$choice' chosen.";;
  1)
    exit 0;;
  255)
    exit 0;;
esac

case $choice in
English) 
  
  
  # link for create m3u
ln -fs /usr/local/apps/create-m3u  /root/.config/rox.sourceforge.net/OpenWith/.inode_directory/"Create music m3u list"
ln -fs /usr/local/apps/create-m3u  /root/.config/rox.sourceforge.net/OpenWith/.inode_mount-point/"Create music m3u list"
;;
Chinese) 
  
  
  # link for create m3u
ln -fs /usr/local/apps/create-m3u  /root/.config/rox.sourceforge.net/OpenWith/.inode_directory/"制造 音乐 m3u 清单"
ln -fs /usr/local/apps/create-m3u  /root/.config/rox.sourceforge.net/OpenWith/.inode_mount-point/"制造 音乐 m3u 清单"



;;

Czech) 
  
  
  # link for create m3u
ln -fs /usr/local/apps/create-m3u  /root/.config/rox.sourceforge.net/OpenWith/.inode_directory/"Vytvořit m3u playlist"
ln -fs /usr/local/apps/create-m3u  /root/.config/rox.sourceforge.net/OpenWith/.inode_mount-point/"Vytvořit m3u playlist"



;;
German)
   # link for create m3u
ln -fs /usr/local/apps/create-m3u  /root/.config/rox.sourceforge.net/OpenWith/.inode_directory/"m3u Musikliste erzeugen"
ln -fs /usr/local/apps/create-m3u  /root/.config/rox.sourceforge.net/OpenWith/.inode_mount-point/"m3u Musikliste erzeugen"


 
    
    ;;
    
    Dutch)
  # link for create m3u
ln -fs /usr/local/apps/create-m3u  /root/.config/rox.sourceforge.net/OpenWith/.inode_directory/"Maak muziek m3u lijst"
ln -fs /usr/local/apps/create-m3u  /root/.config/rox.sourceforge.net/OpenWith/.inode_mount-point/"Maak muziek m3u lijst"

     
    ;;
French)
 # link for create m3u
ln -fs /usr/local/apps/create-m3u  /root/.config/rox.sourceforge.net/OpenWith/.inode_directory/"Créer une liste de musique m3u"
ln -fs /usr/local/apps/create-m3u  /root/.config/rox.sourceforge.net/OpenWith/.inode_mount-point/"Créer une liste de musique m3u"


    ;;
Hungarian)
 # link for create m3u
ln -fs /usr/local/apps/create-m3u  /root/.config/rox.sourceforge.net/OpenWith/.inode_directory/"m3u zenelejátszási lista létrehozása"
ln -fs /usr/local/apps/create-m3u  /root/.config/rox.sourceforge.net/OpenWith/.inode_mount-point/"m3u zenelejátszási lista létrehozása"

  
    
    ;;
Spanish)    
      
  # link for create m3u
ln -fs /usr/local/apps/create-m3u  /root/.config/rox.sourceforge.net/OpenWith/.inode_directory/"Crear lista de musica m3u"
ln -fs /usr/local/apps/create-m3u  /root/.config/rox.sourceforge.net/OpenWith/.inode_mount-point/"Crear lista de musica m3u"

   
    ;;
Russian)       
  # link for create m3u
ln -fs /usr/local/apps/create-m3u  /root/.config/rox.sourceforge.net/OpenWith/.inode_directory/"Создать список музыки m3u"
ln -fs /usr/local/apps/create-m3u  /root/.config/rox.sourceforge.net/OpenWith/.inode_mount-point/"Создать список музыки m3u"
 
    ;; 
Italian)     
  # link for create m3u
ln -fs /usr/local/apps/create-m3u  /root/.config/rox.sourceforge.net/OpenWith/.inode_directory/"Crea music m3u list"
ln -fs /usr/local/apps/create-m3u  /root/.config/rox.sourceforge.net/OpenWith/.inode_mount-point/"Crea music m3u list"
  
    ;;
esac
exit 0

